import { z } from 'zod'

const PrbMedicineSchema = z.object({
  a1: z.string({
    required_error: 'Mohon isi',
  }).optional(),
  a2: z.string({
    required_error: 'Mohon isi',
  }),
  a3: z.string({
    required_error: 'Mohon isi',
  }),
  a4: z.string({
    required_error: 'Mohon isi',
  }).optional(),
  a5: z.string({
    required_error: 'Mohon isi',
  }),
  a6: z.string({
    required_error: 'Mohon isi',
  }),
})

type PrbMedicineFormData = z.infer<typeof PrbMedicineSchema>

export { PrbMedicineSchema }
export type { PrbMedicineFormData }
